curl --request POST \
--url https://app.cryptoprocessing.com/api/v2/exchange/now \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"sender_currency": "BTC",
"receiver_currency": "EUR",
"sender_amount": "0.003",
"foreign_id": "test_foreign_id_0319"
}
'{
"data": {
"sender_currency": "BTC",
"sender_amount": "0.00300000",
"receiver_currency": "EUR",
"receiver_amount": "231.94279333",
"fee_currency": "BTC",
"fee_amount": "0.00015000",
"price": "77314.26444333",
"id": 134704200,
"foreign_id": "test_foreign_id_0319",
"type": "exchange",
"status": "processing"
}
}Execute an exchange immediately at the currently available market rate, without requesting a fixed quote.
curl --request POST \
--url https://app.cryptoprocessing.com/api/v2/exchange/now \
--header 'Content-Type: application/json' \
--header 'X-Processing-Key: <api-key>' \
--header 'X-Processing-Signature: <x-processing-signature>' \
--data '
{
"sender_currency": "BTC",
"receiver_currency": "EUR",
"sender_amount": "0.003",
"foreign_id": "test_foreign_id_0319"
}
'{
"data": {
"sender_currency": "BTC",
"sender_amount": "0.00300000",
"receiver_currency": "EUR",
"receiver_amount": "231.94279333",
"fee_currency": "BTC",
"fee_amount": "0.00015000",
"price": "77314.26444333",
"id": 134704200,
"foreign_id": "test_foreign_id_0319",
"type": "exchange",
"status": "processing"
}
}Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Currency to exchange from. For a list of all available currencies, see API currency codes.
Currency to exchange to. For a list of all available currencies, see API currency codes.
Unique exchange identifier in your system.
Amount to send. You must include either this parameter or receiver_amount.
Amount to receive. You must include either this parameter or sender_amount.
Created
Show child attributes